<mat-toolbar id="slabs-header" class="mat-elevation-z1">
  @if (!sideNavOpened && !noSideNavSections.includes(sectionName)) {
    <button
      class="simplut-toggle-nav-btn"
      mat-icon-button
      (click)="toggleSideNav(true)"
      aria-label="Icon-button with menu icon"
    >
      <mat-icon class="material-icons-outlined">
        keyboard_double_arrow_right
      </mat-icon>
    </button>
  }

  <span>
    @if (sectionName === sections.CREATE_DATA_SPACE) {
      <button
        class="fs-18 fw-500"
        mat-button
        color="primary"
        [routerLink]="['data-spaces']"
      >
        <mat-icon class="back-icon fs-24 fw-700">keyboard_backspace</mat-icon>
        Data Spaces
      </button>
    } @else if (
      sectionName === sections.TEMPLATE_PREVIEW ||
      sectionName === sections.DATA_SPACE_VIEW ||
      sectionName === sections.CONFORMANCE_TESTS ||
      sectionName === sections.DATA_SPACE_CONSUMPTION
    ) {
      <button
        class="fs-18 fw-500 simplut-goback-btn"
        mat-button
        color="primary"
        (click)="goBack()"
      >
        <mat-icon class="back-icon fs-24 fw-700">keyboard_backspace</mat-icon>
        Go back
      </button>
    } @else {
      <h2
        [ngStyle]="{
          'padding-left':
            'calc(1.5rem + ' + (sideNavOpened ? '20rem' : '0rem') + ')'
        }"
      >
        {{ sectionName }}
      </h2>
    }
  </span>
  <span class="spacer"></span>
  @if (
    sectionName === sections.TEMPLATE_PREVIEW &&
    previousUrl.includes("create-data-space")
  ) {
    <button
      class="simplut-select-template-btn"
      [disabled]="!viewedTemplate.isMVDS"
      mat-flat-button
      color="primary"
      (click)="selectViewedTemplate()"
    >
      Use this template
    </button>
  } @else if (
    sectionName === sections.CONFORMANCE_TESTS &&
    previousUrl.includes("conformance")
  ) {
    <button
      mat-flat-button
      color="primary"
      class="start-button"
      [disabled]="!canRunTests()"
      (click)="startConformanceTests()"
    >
      Start conformance test
      {{ selectedTestsNumber() > 0 ? "(" + selectedTestsNumber() + ")" : "" }}
    </button>
  } @else if (
    (sectionName === sections.MONITORING ||
      sectionName === sections.DATA_SPACE_CONSUMPTION) &&
    currentUrl.includes("monitoring")
  ) {
    <div
      class="monitoring-btns-wrapper d-flex align-items-center justify-content-around"
    >
      <button
        mat-icon-button
        color="primary"
        class="settings-button border-radius-0 border-primary p-0"
        aria-label="Icon-button with settings icon"
        disabled
      >
        <mat-icon color="primary">settings</mat-icon>
      </button>

      <button
        (click)="openEventsHistory()"
        mat-stroked-button
        color="primary"
        class="events-button fw-700 border-primary border-radius-0"
      >
        <mat-icon class="fw-700">lists</mat-icon>
        Events History
        <span class="events-badge" matSuffix>{{ eventsHistory.length }}</span>
      </button>
    </div>
  }
</mat-toolbar>
